darcs-2.5.2: a distributed, interactive, smart revision control system

Darcs.Patch.Apply

Synopsis

- applyToFilepaths :: Apply p => p -> [FilePath] -> [FilePath]
- forceTokReplace :: String -> String -> String -> FileContents -> Maybe FileContents
- markupFile :: Effect p => PatchInfo -> p -> (FilePath, MarkedUpFile) -> (FilePath, MarkedUpFile)
- emptyMarkedupFile :: MarkedUpFile
- patchChanges :: Prim -> [(String, DirMark)]
- applyToPop :: PatchInfo -> FL Prim -> Population -> Population
- applyToTree :: Apply p => p -> Tree IO -> IO (Tree IO)
- data LineMark
  - = AddedLine PatchInfo
  - | RemovedLine PatchInfo
  - | AddedRemovedLine PatchInfo PatchInfo
  - | None
- type MarkedUpFile = [(ByteString, LineMark)]

# Documentation

applyToFilepaths :: Apply p => p -> [FilePath] -> [FilePath]

forceTokReplace :: String -> String -> String -> FileContents -> Maybe FileContents

markupFile :: Effect p => PatchInfo -> p -> (FilePath, MarkedUpFile) -> (FilePath, MarkedUpFile)

emptyMarkedupFile :: MarkedUpFile

patchChanges :: Prim -> [(String, DirMark)]

applyToPop :: PatchInfo -> FL Prim -> Population -> Population

applyToTree :: Apply p => p -> Tree IO -> IO (Tree IO)

Apply a patch to a `Tree`, yielding a new `Tree`.

data LineMark

Constructors

AddedLine PatchInfo |
RemovedLine PatchInfo |
AddedRemovedLine PatchInfo PatchInfo |
None |

Instances

Show LineMark |

type MarkedUpFile = [(ByteString, LineMark)]